<?php get_header(); ?>

<?php if (have_posts()) : ?>

<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
<?php /* If this is a category archive */ if (is_category()) { ?>
<h4>Archive for the &#8216;<?php single_cat_title(); ?>&#8217; Category</h4>
<?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
<h4>Posts Tagged &#8216;<?php single_tag_title(); ?>&#8217;</h4>
<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
<h4>Archive for <?php the_time('F jS, Y'); ?></h4>
<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
<h4>Archive for <?php the_time('F, Y'); ?></h4>
<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
<h4>Archive for <?php the_time('Y'); ?></h4>
  <?php /* If this is an author archive */ } elseif (is_author()) { ?>
<h4>Author Archive</h4>
<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
<h4>Blog Archives</h4>
<?php } ?>


<p>
<?php next_posts_link('&laquo; Older Entries') ?> 
<?php previous_posts_link('Newer Entries &raquo;') ?>
</p>

<?php while (have_posts()) : the_post(); ?>


<h3><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a> <span><?php comments_popup_link('0CMNTS', '1CMNT', '%CMNTS'); ?></span> <p><?php the_time('F jS, Y') ?></p></h3>

<?php the_content() ?>

<?php endwhile; ?>

<p>
<?php next_posts_link('&laquo; Older Entries') ?> 
<?php previous_posts_link('Newer Entries &raquo;') ?>
</p>

<?php else : ?>

<h3>Not Found</h3>
<p>Sorry, but what you are looking for is not here.</p>

<?php endif; ?>

<?php get_footer(); ?>
